# osgUtx::TestX Class Reference

Base class catchable for the exceptions which may be thrown to indicate problems during the run of a TestCase. More...

Inheritance diagram for osgUtx::TestX:

[legend]
List of all members.

## Public Member Functions

| TestX (const std::string &s)
virtual | ~TestX ()
const std::string & | what () const

## Detailed Description

Base class catchable for the exceptions which may be thrown to indicate problems during the run of a TestCase.

## Constructor & Destructor Documentation

osgUtx::TestX::TestX | ( | const std::string & | s | ) | `[inline]`

virtual osgUtx::TestX::~TestX | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

const std::string& osgUtx::TestX::what | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- UnitTestFramework